Bug 1685583 - [3.10] Slow Initialization During Upgrades
Summary: [3.10] Slow Initialization During Upgrades
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.10.z
Assignee: Vadim Rutkovsky
QA Contact: Weihua Meng
URL:
Whiteboard:
Depends On: 1682924
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 14:49 UTC by Scott Dodson
Modified: 2019-06-11 09:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: sanity checks were using inefficient code to validate hostvars Consequence: sanity check time took several minutes on a large set of hosts Fix: hostvars are stored in the class, so there are not being copied on every check Result: sanity checks take less time to complete
Clone Of: 1682924
Environment:
Last Closed: 2019-06-11 09:30:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0786 None None None 2019-06-11 09:30:59 UTC

Comment 1 Scott Dodson 2019-03-05 14:49:55 UTC
https://github.com/openshift/openshift-ansible/pull/11289 merged

Comment 2 Vadim Rutkovsky 2019-03-06 11:44:02 UTC
Fix is available in openshift-ansible-3.10.122-1

Comment 3 Weihua Meng 2019-03-21 04:36:16 UTC
Fixed.

openshift-ansible-3.10.127-1.git.0.131da09.el7

In my test,

With 3.10.101, TASK [Run variable sanity checks] costs 1.88 seconds

With 3.10.127, TASK [Run variable sanity checks] costs 0.35 second


Kernel Version: 3.10.0-957.10.1.el7.x86_64
Operating System: Red Hat Enterprise Linux Server 7.6 (Maipo)

Comment 6 errata-xmlrpc 2019-06-11 09:30:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0786


Note You need to log in before you can comment on or make changes to this bug.